Package org.lwjgl.opengl

# Class ARBCLEvent

java.lang.Object
org.lwjgl.opengl.ARBCLEvent

public final class ARBCLEvent extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_SYNC_CL_EVENT_ARB`
Returned in <values> for GetSynciv <pname> OBJECT_TYPE.
`static final int`
`GL_SYNC_CL_EVENT_COMPLETE_ARB`
Returned in <values> for GetSynciv <pname> SYNC_CONDITION.

## Method Summary

Modifier and Type
Method
Description
`static GLSync`
`glCreateSyncFromCLeventARB(CLContext context, CLEvent event, int flags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SYNC_CL_EVENT_ARB

public static final int GL_SYNC_CL_EVENT_ARB
Returned in <values> for GetSynciv <pname> OBJECT_TYPE.

See Also:
  - Constant Field Values

### GL_SYNC_CL_EVENT_COMPLETE_ARB

public static final int GL_SYNC_CL_EVENT_COMPLETE_ARB
Returned in <values> for GetSynciv <pname> SYNC_CONDITION.

See Also:
  - Constant Field Values

## Method Details

### glCreateSyncFromCLeventARB

public static GLSync glCreateSyncFromCLeventARB(CLContext context, CLEvent event, int flags)